CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
csl::Seekable Class Reference

Seekable – a mix-in for positionable streams. More...

`#include <CSL_Core.h>`

Inheritance diagram for csl::Seekable:

List of all members.

## Public Member Functions
| Seekable ()
| Constructor.
virtual | ~Seekable ()
virtual unsigned | seekTo (int position, SeekPosition whence)=0 throw (CException)
| general-purpose seek on a stream
virtual void | reset () throw (CException)
| reset-to-zero
virtual unsigned | duration ()=0
| number of frames in the Seekable

## Public Attributes
unsigned | mCurrentFrame
| where I currently am in the buffer
double | mActualFrame
| where I actually am in the buffer

## Detailed Description

Seekable – a mix-in for positionable streams.

Definition at line 545 of file CSL_Core.h.

## Constructor & Destructor Documentation

csl::Seekable::Seekable | ( |  | ) |
| inline

Constructor.

Definition at line 547 of file CSL_Core.h.

virtual csl::Seekable::~Seekable | ( |  | ) |
| inline virtual

Definition at line 548 of file CSL_Core.h.

## Member Function Documentation

virtual unsigned csl::Seekable::seekTo | ( | int | position,
|  | SeekPosition | whence
| ) |  | throw (CException)
| pure virtual

general-purpose seek on a stream

Implemented in csl::Abst_SoundFile, csl::BufferStream, csl::LSoundFile, csl::JSoundFile, csl::CASoundFile, and csl::RingBufferTap.

Referenced by reset().

void Seekable::reset | ( |  | ) | throw (CException)
| virtual

reset-to-zero

Definition at line 1123 of file CSL_Core.cpp.

References csl::kPositionStart, and seekTo().

virtual unsigned csl::Seekable::duration | ( |  | ) |
| pure virtual

number of frames in the Seekable

Implemented in csl::Abst_SoundFile, and csl::RingBufferTap.

## Member Data Documentation

unsigned csl::Seekable::mCurrentFrame

where I currently am in the buffer

Definition at line 548 of file CSL_Core.h.

Referenced by csl::Abst_SoundFile::Abst_SoundFile(), csl::DelayLine::delayLength(), csl::Abst_SoundFile::isActive(), csl::LSoundFile::isCached(), csl::Abst_SoundFile::isCached(), csl::CASoundFile::openForRead(), csl::CASoundFile::readBufferFromFile(), csl::JSoundFile::readBufferFromFile(), csl::LSoundFile::readBufferFromFile(), csl::RingBufferTap::setOffset(), csl::Abst_SoundFile::setToEnd(), and csl::Abst_SoundFile::trigger().

double csl::Seekable::mActualFrame

where I actually am in the buffer

Definition at line 551 of file CSL_Core.h.

The documentation for this class was generated from the following files:

- CSL/Kernel/CSL_Core.h
- CSL/Kernel/CSL_Core.cpp